# Get a list of custom fields
. ./env.sh
if [ -z "$1" ]
  then
    echo "No argument supplied"
    exit 1
fi
enc_value=$(urlencode "$1")
response_json=`curl -s "http://localhost:8080/rest/admin/project/ET/customfield/$enc_value" -H 'Authorization: Basic YTU2NGQ1MTktZDljMi00YzgwLWFiMWItOWU1YTNmNmE5YTRjOjJ5YUFRTnRReGtHeAo' -H "Accept: application/json"`
bundle_name=$(echo "$response_json" | jq -r '.param[].value')
enc_bundle=$(urlencode "$bundle_name")
echo "Bundle: $bundle_name"

echo "Response:"
curl -s --request GET --url http://localhost:8080/rest/admin/customfield/bundle/$enc_bundle --header 'Accept: application/json' --header "Authorization: Bearer $auth_token" --header 'Content-Type: application/x-www-form-urlencoded' --header "Accept: application/json" | jq -r


# Get access token - Duh! -n to remove newline
# auth_base64=`echo -n $client_id:$client_secret|base64`
# "Authorization: Basic MC0wLTAtMC0wOjJ5YUFRTnRReGtHeA=="
# access_token=`curl -s -X POST --url http://localhost:8080/hub/api/rest/oauth2/token --header "Accept: application/x-www-form-urlencoded, application/json" --header "Host: localhost:8080" --header "Authorization: Basic ${auth_base64}" --data "grant_type=client_credentials&scope=$hub_scope" |  jq -r .access_token`
# access_token did not work, use $auth_token instead
